/*
 * Copyright (c) 2015-2016, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 *    * Neither the name of The Linux Foundation nor the names of its
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __ATLAS7_MEMC_H__
#define __ATLAS7_MEMC_H__

#define _MEMC_REG_BASE 0x10800000

#define A7DA_MEMC_SCFG			(_MEMC_REG_BASE + 0x0000)
#define A7DA_MEMC_SCTL			(_MEMC_REG_BASE + 0x0004)
#define A7DA_MEMC_STAT			(_MEMC_REG_BASE + 0x0008)
#define A7DA_MEMC_INTRSTAT		(_MEMC_REG_BASE + 0x000C)
#define A7DA_MEMC_MCMD			(_MEMC_REG_BASE + 0x0040)
#define A7DA_MEMC_POWCTL		(_MEMC_REG_BASE + 0x0044)
#define A7DA_MEMC_POWSTAT		(_MEMC_REG_BASE + 0x0048)
#define A7DA_MEMC_CMDTSTAT		(_MEMC_REG_BASE + 0x004C)
#define A7DA_MEMC_CMDTSTATEN		(_MEMC_REG_BASE + 0x0050)
#define A7DA_MEMC_MRRCFG0		(_MEMC_REG_BASE + 0x0060)
#define A7DA_MEMC_MRRSTAT0		(_MEMC_REG_BASE + 0x0064)
#define A7DA_MEMC_MRRSTAT1		(_MEMC_REG_BASE + 0x0068)
#define A7DA_MEMC_MCFG1			(_MEMC_REG_BASE + 0x007C)
#define A7DA_MEMC_MCFG			(_MEMC_REG_BASE + 0x0080)
#define A7DA_MEMC_PPCFG			(_MEMC_REG_BASE + 0x0084)
#define A7DA_MEMC_MSTAT			(_MEMC_REG_BASE + 0x0088)
#define A7DA_MEMC_LPDDR23ZQCFG		(_MEMC_REG_BASE + 0x008C)
#define A7DA_MEMC_DTUPDES		(_MEMC_REG_BASE + 0x0094)
#define A7DA_MEMC_DTUNA			(_MEMC_REG_BASE + 0x0098)
#define A7DA_MEMC_DTUNE			(_MEMC_REG_BASE + 0x009C)
#define A7DA_MEMC_DTUPRD0		(_MEMC_REG_BASE + 0x00A0)
#define A7DA_MEMC_DTUPRD1		(_MEMC_REG_BASE + 0x00A4)
#define A7DA_MEMC_DTUPRD2		(_MEMC_REG_BASE + 0x00A8)
#define A7DA_MEMC_DTUPRD3		(_MEMC_REG_BASE + 0x00AC)
#define A7DA_MEMC_DTUAWDT		(_MEMC_REG_BASE + 0x00B0)
#define A7DA_MEMC_TOGCNT1U		(_MEMC_REG_BASE + 0x00C0)
#define A7DA_MEMC_TINIT			(_MEMC_REG_BASE + 0x00C4)
#define A7DA_MEMC_TRSTH			(_MEMC_REG_BASE + 0x00C8)
#define A7DA_MEMC_TOGCNT100N		(_MEMC_REG_BASE + 0x00CC)
#define A7DA_MEMC_TREFI			(_MEMC_REG_BASE + 0x00D0)
#define A7DA_MEMC_TMRD			(_MEMC_REG_BASE + 0x00D4)
#define A7DA_MEMC_TRFC			(_MEMC_REG_BASE + 0x00D8)
#define A7DA_MEMC_TRP			(_MEMC_REG_BASE + 0x00DC)
#define A7DA_MEMC_TRTW			(_MEMC_REG_BASE + 0x00E0)
#define A7DA_MEMC_TAL			(_MEMC_REG_BASE + 0x00E4)
#define A7DA_MEMC_TCL			(_MEMC_REG_BASE + 0x00E8)
#define A7DA_MEMC_TCWL			(_MEMC_REG_BASE + 0x00EC)
#define A7DA_MEMC_TRAS			(_MEMC_REG_BASE + 0x00F0)
#define A7DA_MEMC_TRC			(_MEMC_REG_BASE + 0x00F4)
#define A7DA_MEMC_TRCD			(_MEMC_REG_BASE + 0x00F8)
#define A7DA_MEMC_TRRD			(_MEMC_REG_BASE + 0x00FC)
#define A7DA_MEMC_TRTP			(_MEMC_REG_BASE + 0x0100)
#define A7DA_MEMC_TWR			(_MEMC_REG_BASE + 0x0104)
#define A7DA_MEMC_TWTR			(_MEMC_REG_BASE + 0x0108)
#define A7DA_MEMC_TEXSR			(_MEMC_REG_BASE + 0x010C)
#define A7DA_MEMC_TXP			(_MEMC_REG_BASE + 0x0110)
#define A7DA_MEMC_TXPDLL		(_MEMC_REG_BASE + 0x0114)
#define A7DA_MEMC_TZQCS			(_MEMC_REG_BASE + 0x0118)
#define A7DA_MEMC_TZQCSI		(_MEMC_REG_BASE + 0x011C)
#define A7DA_MEMC_TDQS			(_MEMC_REG_BASE + 0x0120)
#define A7DA_MEMC_TCKSRE		(_MEMC_REG_BASE + 0x0124)
#define A7DA_MEMC_TCKSRX		(_MEMC_REG_BASE + 0x0128)
#define A7DA_MEMC_TCKE			(_MEMC_REG_BASE + 0x012C)
#define A7DA_MEMC_TMOD			(_MEMC_REG_BASE + 0x0130)
#define A7DA_MEMC_TRSTL			(_MEMC_REG_BASE + 0x0134)
#define A7DA_MEMC_TZQCL			(_MEMC_REG_BASE + 0x0138)
#define A7DA_MEMC_TMRR			(_MEMC_REG_BASE + 0x013C)
#define A7DA_MEMC_TCKESR		(_MEMC_REG_BASE + 0x0140)
#define A7DA_MEMC_TDPD			(_MEMC_REG_BASE + 0x0144)
#define A7DA_MEMC_TREFI_MEM_DDR3	(_MEMC_REG_BASE + 0x0148)
#define A7DA_MEMC_DTUWACTL		(_MEMC_REG_BASE + 0x0200)
#define A7DA_MEMC_DTURACTL		(_MEMC_REG_BASE + 0x0204)
#define A7DA_MEMC_DTUCFG		(_MEMC_REG_BASE + 0x0208)
#define A7DA_MEMC_DTUECTL		(_MEMC_REG_BASE + 0x020C)
#define A7DA_MEMC_DTUWD0		(_MEMC_REG_BASE + 0x0210)
#define A7DA_MEMC_DTUWD1		(_MEMC_REG_BASE + 0x0214)
#define A7DA_MEMC_DTUWD2		(_MEMC_REG_BASE + 0x0218)
#define A7DA_MEMC_DTUWD3		(_MEMC_REG_BASE + 0x021C)
#define A7DA_MEMC_DTUWDM		(_MEMC_REG_BASE + 0x0220)
#define A7DA_MEMC_DTURD0		(_MEMC_REG_BASE + 0x0224)
#define A7DA_MEMC_DTURD1		(_MEMC_REG_BASE + 0x0228)
#define A7DA_MEMC_DTURD2		(_MEMC_REG_BASE + 0x022C)
#define A7DA_MEMC_DTURD3		(_MEMC_REG_BASE + 0x0230)
#define A7DA_MEMC_DTULFSRWD		(_MEMC_REG_BASE + 0x0234)
#define A7DA_MEMC_DTULFSRRD		(_MEMC_REG_BASE + 0x0238)
#define A7DA_MEMC_DTUEAF		(_MEMC_REG_BASE + 0x023C)
#define A7DA_MEMC_DFITCTRLDELAY		(_MEMC_REG_BASE + 0x0240)
#define A7DA_MEMC_DFIODTCFG		(_MEMC_REG_BASE + 0x0244)
#define A7DA_MEMC_DFIODTCFG1		(_MEMC_REG_BASE + 0x0248)
#define A7DA_MEMC_DFIODTRANKMAP		(_MEMC_REG_BASE + 0x024C)
#define A7DA_MEMC_DFITPHYWRDATA		(_MEMC_REG_BASE + 0x0250)
#define A7DA_MEMC_DFITPHYWRLAT		(_MEMC_REG_BASE + 0x0254)
#define A7DA_MEMC_DFITPHYWRDATALAT	(_MEMC_REG_BASE + 0x0258)
#define A7DA_MEMC_DFITRDDATAEN		(_MEMC_REG_BASE + 0x0260)
#define A7DA_MEMC_DFITPHYRDLAT		(_MEMC_REG_BASE + 0x0264)
#define A7DA_MEMC_DFITPHYUPDTYPE0	(_MEMC_REG_BASE + 0x0270)
#define A7DA_MEMC_DFITPHYUPDTYPE1	(_MEMC_REG_BASE + 0x0274)
#define A7DA_MEMC_DFITPHYUPDTYPE2	(_MEMC_REG_BASE + 0x0278)
#define A7DA_MEMC_DFITPHYUPDTYPE3	(_MEMC_REG_BASE + 0x027C)
#define A7DA_MEMC_DFITCTRLUPDMIN	(_MEMC_REG_BASE + 0x0280)
#define A7DA_MEMC_DFITCTRLUPDMAX	(_MEMC_REG_BASE + 0x0284)
#define A7DA_MEMC_DFITCTRLUPDDLY	(_MEMC_REG_BASE + 0x0288)
#define A7DA_MEMC_DFIUPDCFG		(_MEMC_REG_BASE + 0x0290)
#define A7DA_MEMC_DFITREFMSKI		(_MEMC_REG_BASE + 0x0294)
#define A7DA_MEMC_DFITCTRLUPDI		(_MEMC_REG_BASE + 0x0298)
#define A7DA_MEMC_DFITRCFG0		(_MEMC_REG_BASE + 0x02AC)
#define A7DA_MEMC_DFITRSTAT0		(_MEMC_REG_BASE + 0x02B0)
#define A7DA_MEMC_DFITRWRLVLEN		(_MEMC_REG_BASE + 0x02B4)
#define A7DA_MEMC_DFITRRDLVLEN		(_MEMC_REG_BASE + 0x02B8)
#define A7DA_MEMC_DFITRRDLVLGATEEN	(_MEMC_REG_BASE + 0x02BC)
#define A7DA_MEMC_DFISTSTAT0		(_MEMC_REG_BASE + 0x02C0)
#define A7DA_MEMC_DFISTCFG0		(_MEMC_REG_BASE + 0x02C4)
#define A7DA_MEMC_DFISTCFG1		(_MEMC_REG_BASE + 0x02C8)
#define A7DA_MEMC_DFITDRAMCLKEN		(_MEMC_REG_BASE + 0x02D0)
#define A7DA_MEMC_DFITDRAMCLKDIS	(_MEMC_REG_BASE + 0x02D4)
#define A7DA_MEMC_DFISTCFG2		(_MEMC_REG_BASE + 0x02D8)
#define A7DA_MEMC_DFISTPARCLR		(_MEMC_REG_BASE + 0x02DC)
#define A7DA_MEMC_DFISTPARLOG		(_MEMC_REG_BASE + 0x02E0)
#define A7DA_MEMC_DFILPCFG0		(_MEMC_REG_BASE + 0x02F0)
#define A7DA_MEMC_DFITRWRLVLRESP0	(_MEMC_REG_BASE + 0x0300)
#define A7DA_MEMC_DFITRWRLVLRESP1	(_MEMC_REG_BASE + 0x0304)
#define A7DA_MEMC_DFITRWRLVLRESP2	(_MEMC_REG_BASE + 0x0308)
#define A7DA_MEMC_DFITRRDLVLRESP0	(_MEMC_REG_BASE + 0x030C)
#define A7DA_MEMC_DFITRRDLVLRESP1	(_MEMC_REG_BASE + 0x0310)
#define A7DA_MEMC_DFITRRDLVLRESP2	(_MEMC_REG_BASE + 0x0314)
#define A7DA_MEMC_DFITRWRLVLDELAY0	(_MEMC_REG_BASE + 0x0318)
#define A7DA_MEMC_DFITRRDLVLDELAY0	(_MEMC_REG_BASE + 0x0324)
#define A7DA_MEMC_DFITRRDLVLGATEDELAY0	(_MEMC_REG_BASE + 0x0330)
#define A7DA_MEMC_DFITRCMD		(_MEMC_REG_BASE + 0x033C)
#define A7DA_MEMC_IPVR			(_MEMC_REG_BASE + 0x03F8)
#define A7DA_MEMC_IPTR			(_MEMC_REG_BASE + 0x03FC)


#define MEMC_PHY_BASE                                   0x10810000

#define A7DA_MEMC_PHY_RIDR		(MEMC_PHY_BASE + 0x000)
#define A7DA_MEMC_PHY_PIR		(MEMC_PHY_BASE + 0x004)
#define A7DA_MEMC_PHY_PGCR0		(MEMC_PHY_BASE + 0x008)
#define A7DA_MEMC_PHY_PGCR1		(MEMC_PHY_BASE + 0x00c)
#define A7DA_MEMC_PHY_PGSR0		(MEMC_PHY_BASE + 0x010)
#define A7DA_MEMC_PHY_PGSR1		(MEMC_PHY_BASE + 0x014)
#define A7DA_MEMC_PHY_PLLCR		(MEMC_PHY_BASE + 0x018)
#define A7DA_MEMC_PHY_PTR0		(MEMC_PHY_BASE + 0x01c)
#define A7DA_MEMC_PHY_PTR1		(MEMC_PHY_BASE + 0x020)
#define A7DA_MEMC_PHY_PTR2		(MEMC_PHY_BASE + 0x024)
#define A7DA_MEMC_PHY_PTR3		(MEMC_PHY_BASE + 0x028)
#define A7DA_MEMC_PHY_PTR4		(MEMC_PHY_BASE + 0x02c)
#define A7DA_MEMC_PHY_ACMDLR		(MEMC_PHY_BASE + 0x030)
#define A7DA_MEMC_PHY_ACBDLR		(MEMC_PHY_BASE + 0x034)
#define A7DA_MEMC_PHY_ACIOCR		(MEMC_PHY_BASE + 0x038)
#define A7DA_MEMC_PHY_DXCCR		(MEMC_PHY_BASE + 0x03c)
#define A7DA_MEMC_PHY_DSGCR		(MEMC_PHY_BASE + 0x040)
#define A7DA_MEMC_PHY_DCR		(MEMC_PHY_BASE + 0x044)
#define A7DA_MEMC_PHY_DTPR0		(MEMC_PHY_BASE + 0x048)
#define A7DA_MEMC_PHY_DTPR1		(MEMC_PHY_BASE + 0x04c)
#define A7DA_MEMC_PHY_DTPR2		(MEMC_PHY_BASE + 0x050)
#define A7DA_MEMC_PHY_MR0		(MEMC_PHY_BASE + 0x054)
#define A7DA_MEMC_PHY_MR1		(MEMC_PHY_BASE + 0x058)
#define A7DA_MEMC_PHY_MR2		(MEMC_PHY_BASE + 0x05c)
#define A7DA_MEMC_PHY_MR3		(MEMC_PHY_BASE + 0x060)
#define A7DA_MEMC_PHY_ODTCR		(MEMC_PHY_BASE + 0x064)
#define A7DA_MEMC_PHY_DTCR		(MEMC_PHY_BASE + 0x068)
#define A7DA_MEMC_PHY_DTAR0		(MEMC_PHY_BASE + 0x06c)
#define A7DA_MEMC_PHY_DTAR1		(MEMC_PHY_BASE + 0x070)
#define A7DA_MEMC_PHY_DTAR2		(MEMC_PHY_BASE + 0x074)
#define A7DA_MEMC_PHY_DTAR3		(MEMC_PHY_BASE + 0x078)
#define A7DA_MEMC_PHY_DTDR0		(MEMC_PHY_BASE + 0x07c)
#define A7DA_MEMC_PHY_DTDR1		(MEMC_PHY_BASE + 0x080)
#define A7DA_MEMC_PHY_DTEDR0		(MEMC_PHY_BASE + 0x084)
#define A7DA_MEMC_PHY_DTEDR1		(MEMC_PHY_BASE + 0x088)
#define A7DA_MEMC_PHY_PGCR2		(MEMC_PHY_BASE + 0x08c)
#define A7DA_MEMC_PHY_RDIMMGCR0		(MEMC_PHY_BASE + 0x0b0)
#define A7DA_MEMC_PHY_RDIMMGCR1		(MEMC_PHY_BASE + 0x0b4)
#define A7DA_MEMC_PHY_RDIMMCR0		(MEMC_PHY_BASE + 0x0b8)
#define A7DA_MEMC_PHY_RDIMMCR1		(MEMC_PHY_BASE + 0x0bc)
#define A7DA_MEMC_PHY_DCUAR		(MEMC_PHY_BASE + 0x0c0)
#define A7DA_MEMC_PHY_DCUDR		(MEMC_PHY_BASE + 0x0c4)
#define A7DA_MEMC_PHY_DCURR		(MEMC_PHY_BASE + 0x0c8)
#define A7DA_MEMC_PHY_DCULR		(MEMC_PHY_BASE + 0x0cc)
#define A7DA_MEMC_PHY_DCUGCR		(MEMC_PHY_BASE + 0x0d0)
#define A7DA_MEMC_PHY_DCUTPR		(MEMC_PHY_BASE + 0x0d4)
#define A7DA_MEMC_PHY_DCUSR0		(MEMC_PHY_BASE + 0x0d8)
#define A7DA_MEMC_PHY_DCUSR1		(MEMC_PHY_BASE + 0x0dc)
#define A7DA_MEMC_PHY_BISTRR		(MEMC_PHY_BASE + 0x100)
#define A7DA_MEMC_PHY_BISTWCR		(MEMC_PHY_BASE + 0x104)
#define A7DA_MEMC_PHY_BISTMSKR0		(MEMC_PHY_BASE + 0x108)
#define A7DA_MEMC_PHY_BISTMSKR1		(MEMC_PHY_BASE + 0x10c)
#define A7DA_MEMC_PHY_BISTMSKR2		(MEMC_PHY_BASE + 0x110)
#define A7DA_MEMC_PHY_BISTLSR		(MEMC_PHY_BASE + 0x114)
#define A7DA_MEMC_PHY_BISTAR0		(MEMC_PHY_BASE + 0x118)
#define A7DA_MEMC_PHY_BISTAR1		(MEMC_PHY_BASE + 0x11c)
#define A7DA_MEMC_PHY_BISTAR2		(MEMC_PHY_BASE + 0x120)
#define A7DA_MEMC_PHY_BISTUDPR		(MEMC_PHY_BASE + 0x124)
#define A7DA_MEMC_PHY_BISTGSR		(MEMC_PHY_BASE + 0x128)
#define A7DA_MEMC_PHY_BISTWER		(MEMC_PHY_BASE + 0x12c)
#define A7DA_MEMC_PHY_BISTBER0		(MEMC_PHY_BASE + 0x130)
#define A7DA_MEMC_PHY_BISTBER1		(MEMC_PHY_BASE + 0x134)
#define A7DA_MEMC_PHY_BISTBER2		(MEMC_PHY_BASE + 0x138)
#define A7DA_MEMC_PHY_BISTBER3		(MEMC_PHY_BASE + 0x13c)
#define A7DA_MEMC_PHY_BISTWCSR		(MEMC_PHY_BASE + 0x140)
#define A7DA_MEMC_PHY_BISTFWR0		(MEMC_PHY_BASE + 0x144)
#define A7DA_MEMC_PHY_BISTFWR1		(MEMC_PHY_BASE + 0x148)
#define A7DA_MEMC_PHY_BISTFWR2		(MEMC_PHY_BASE + 0x14c)
#define A7DA_MEMC_PHY_AACR		(MEMC_PHY_BASE + 0x174)
#define A7DA_MEMC_PHY_ZQ0CR0		(MEMC_PHY_BASE + 0x180)
#define A7DA_MEMC_PHY_ZQ0CR1		(MEMC_PHY_BASE + 0x184)
#define A7DA_MEMC_PHY_ZQ0SR0		(MEMC_PHY_BASE + 0x188)
#define A7DA_MEMC_PHY_ZQ0SR1		(MEMC_PHY_BASE + 0x18c)
#define A7DA_MEMC_PHY_DX0GCR		(MEMC_PHY_BASE + 0x1c0)
#define A7DA_MEMC_PHY_DX0GSR0		(MEMC_PHY_BASE + 0x1c4)
#define A7DA_MEMC_PHY_DX0GSR1		(MEMC_PHY_BASE + 0x1c8)
#define A7DA_MEMC_PHY_DX0BDLR0		(MEMC_PHY_BASE + 0x1cc)
#define A7DA_MEMC_PHY_DX0BDLR1		(MEMC_PHY_BASE + 0x1d0)
#define A7DA_MEMC_PHY_DX0BDLR2		(MEMC_PHY_BASE + 0x1d4)
#define A7DA_MEMC_PHY_DX0BDLR3		(MEMC_PHY_BASE + 0x1d8)
#define A7DA_MEMC_PHY_DX0BDLR4		(MEMC_PHY_BASE + 0x1dc)
#define A7DA_MEMC_PHY_DX0LCDLR0		(MEMC_PHY_BASE + 0x1e0)
#define A7DA_MEMC_PHY_DX0LCDLR1		(MEMC_PHY_BASE + 0x1e4)
#define A7DA_MEMC_PHY_DX0LCDLR2		(MEMC_PHY_BASE + 0x1e8)
#define A7DA_MEMC_PHY_DX0MDLR		(MEMC_PHY_BASE + 0x1ec)
#define A7DA_MEMC_PHY_DX0GTR		(MEMC_PHY_BASE + 0x1f0)
#define A7DA_MEMC_PHY_DX0GSR2		(MEMC_PHY_BASE + 0x1f4)
#define A7DA_MEMC_PHY_DX1GCR		(MEMC_PHY_BASE + 0x200)
#define A7DA_MEMC_PHY_DX1GSR0		(MEMC_PHY_BASE + 0x204)
#define A7DA_MEMC_PHY_DX1GSR1		(MEMC_PHY_BASE + 0x208)
#define A7DA_MEMC_PHY_DX1BDLR0		(MEMC_PHY_BASE + 0x20c)
#define A7DA_MEMC_PHY_DX1BDLR1		(MEMC_PHY_BASE + 0x210)
#define A7DA_MEMC_PHY_DX1BDLR2		(MEMC_PHY_BASE + 0x214)
#define A7DA_MEMC_PHY_DX1BDLR3		(MEMC_PHY_BASE + 0x218)
#define A7DA_MEMC_PHY_DX1BDLR4		(MEMC_PHY_BASE + 0x21c)
#define A7DA_MEMC_PHY_DX1LCDLR0		(MEMC_PHY_BASE + 0x220)
#define A7DA_MEMC_PHY_DX1LCDLR1		(MEMC_PHY_BASE + 0x224)
#define A7DA_MEMC_PHY_DX1LCDLR2		(MEMC_PHY_BASE + 0x228)
#define A7DA_MEMC_PHY_DX1MDLR		(MEMC_PHY_BASE + 0x22c)
#define A7DA_MEMC_PHY_DX1GTR		(MEMC_PHY_BASE + 0x230)
#define A7DA_MEMC_PHY_DX1GSR2		(MEMC_PHY_BASE + 0x234)
#define A7DA_MEMC_PHY_LUT_AC_PD0  (MEMC_PHY_BASE + 0x400)
#define A7DA_MEMC_PHY_LUT_AC_PU0  (MEMC_PHY_BASE + 0x480)
#define A7DA_MEMC_PHY_LUT_CLK_PD0 (MEMC_PHY_BASE + 0x500)
#define A7DA_MEMC_PHY_LUT_CLK_PU0 (MEMC_PHY_BASE + 0x580)

/* Set MEMC to sleep state */
static inline void memc_set_sleep_state(void)
{
	SOC_REG(A7DA_MEMC_SCTL) = (BIT0 | BIT1);
}

#endif /* __ATLAS7_MEMC_H__ */
